It also sets opnfv as default repository as they will be pushed by
releng.
It adds hooks asked for automated build via Docker which allows
continuous integration before the update of jjobs.
Change-Id: I08b55b1ff334afe6c0f58af3100cfa04f76d8ef0
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
--- /dev/null
+#!/bin/bash
+
+set -e
+
+repo=${repo:-opnfv}
+
+(cd docker && docker build -t "${repo}/functest" .)
+docker push "${repo}/functest"
+
+for dir in docker/core docker/healthcheck docker/smoke; do
+ (cd ${dir} && docker build -t "${repo}/functest-${dir##**/}" .)
+ docker push "${repo}/functest-${dir##**/}"
+done
+
+exit $?
-FROM ollivier/functest-core
+FROM opnfv/functest-core
COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
CMD ["bash","-c","prepare_env start && run_tests -t all"]
--- /dev/null
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile &&
+ docker build -t "${IMAGE_NAME}" .
+
+exit $?
-FROM ollivier/functest-core
+FROM opnfv/functest-core
ARG BRANCH=master
ARG OPENSTACK_TAG=stable/ocata
--- /dev/null
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile &&
+ docker build -t "${IMAGE_NAME}" .
+
+exit $?